Script: *scan-network.ps1*
========================

scan-network.ps1 


Parameters
----------
```powershell


[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Script Content
--------------
```powershell
$a = Get-NetIPAddress | Where-Object -FilterScript { $_.SuffixOrigin -eq "DHCP" -or  $_.SuffixOrigin -eq "manual" } # | Format-Table -property IPAddress -autoSize

$arguments = "-sT -T3" # Set sane defaults for command string
$location = "nmap" # In case nmap is not in PATH
$targets = ""

foreach ( $i in $a ) {
    $s = $i.IPAddress + "/" + $i.PrefixLength
    $targets = $targets + " " + $s
}
$arguments = $arguments + " " + $targets

Start-Process $location -ArgumentList $arguments -Wait 
```

*(generated by convert-ps2md.ps1 using the comment-based help of scan-network.ps1 as of 08/15/2024 09:50:53)*
